# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "mentedb-mcp"
version = "0.4.15"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "MCP server for MenteDB, the cognition aware database for AI agent memory"
readme = "README.md"
keywords = [
    "mcp",
    "ai",
    "memory",
    "database",
    "agents",
]
categories = [
    "database",
    "command-line-utilities",
]
license = "Apache-2.0"
repository = "https://github.com/nambok/mentedb-mcp"

[features]
default = []
local = [
    "mentedb",
    "mentedb-core",
    "mentedb-graph",
    "mentedb-cognitive",
    "mentedb-context",
    "mentedb-embedding",
    "mentedb-extraction",
    "mentedb-consolidation",
]
vendored-openssl = ["openssl"]

[[bin]]
name = "mentedb-mcp"
path = "src/main.rs"

[[test]]
name = "integration"
path = "tests/integration.rs"

[dependencies.anyhow]
version = "1"

[dependencies.axum]
version = "0.7"
features = ["json"]

[dependencies.clap]
version = "4"
features = [
    "derive",
    "env",
]

[dependencies.mentedb]
version = "0.4"
optional = true

[dependencies.mentedb-cognitive]
version = "0.4"
optional = true

[dependencies.mentedb-consolidation]
version = "0.4"
optional = true

[dependencies.mentedb-context]
version = "0.4"
optional = true

[dependencies.mentedb-core]
version = "0.4"
optional = true

[dependencies.mentedb-embedding]
version = "0.4"
features = ["local"]
optional = true

[dependencies.mentedb-extraction]
version = "0.4"
optional = true

[dependencies.mentedb-graph]
version = "0.4"
optional = true

[dependencies.open]
version = "5"

[dependencies.openssl]
version = "0.10"
features = ["vendored"]
optional = true

[dependencies.reqwest]
version = "0.12"
features = [
    "rustls-tls",
    "json",
]
default-features = false

[dependencies.rmcp]
version = "1"
features = [
    "server",
    "transport-io",
]

[dependencies.schemars]
version = "1"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.tokio]
version = "1"
features = ["full"]

[dependencies.tracing]
version = "0.1"

[dependencies.tracing-appender]
version = "0.2"

[dependencies.tracing-subscriber]
version = "0.3"
features = [
    "env-filter",
    "fmt",
]

[dependencies.uuid]
version = "1"
features = ["v4"]

[profile.release]
lto = true
codegen-units = 1
strip = true
